## WebKitDOMDOMMimeTypeArray WebKitDOMDOMMimeTypeArray |

## Functions

WebKitDOMDOMMimeType * | webkit_dom_dom_mime_type_array_item ()
WebKitDOMDOMMimeType * | webkit_dom_dom_mime_type_array_named_item ()
gulong | webkit_dom_dom_mime_type_array_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMDOMMimeTypeArray

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMMimeTypeArray

## Description

## Functions

### webkit_dom_dom_mime_type_array_item ()

    WebKitDOMDOMMimeType *
    webkit_dom_dom_mime_type_array_item (WebKitDOMDOMMimeTypeArray *self,
                                         gulong index);

#### Parameters

self | A WebKitDOMDOMMimeTypeArray |
index | A gulong |

#### Returns

A WebKitDOMDOMMimeType.

[transfer none]

### webkit_dom_dom_mime_type_array_named_item ()

    WebKitDOMDOMMimeType *
    webkit_dom_dom_mime_type_array_named_item
                                   (WebKitDOMDOMMimeTypeArray *self,
                                    const gchar *name);

#### Parameters

self | A WebKitDOMDOMMimeTypeArray |
name | A gchar |

#### Returns

A WebKitDOMDOMMimeType.

[transfer none]

### webkit_dom_dom_mime_type_array_get_length ()

    gulong
    webkit_dom_dom_mime_type_array_get_length
                                   (WebKitDOMDOMMimeTypeArray *self);

#### Parameters

self | A WebKitDOMDOMMimeTypeArray |

#### Returns

A gulong

## Types and Values

### WebKitDOMDOMMimeTypeArray

    typedef struct _WebKitDOMDOMMimeTypeArray WebKitDOMDOMMimeTypeArray;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong DOMMimeTypeArray:length.

Flags: Read